Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.search
Class SearchHit

    java.lang.Object
      net.sourceforge.pebble.search.SearchHit

    public class SearchHit

extends java.lang.Object

A container for the results of a search (a search hit).

Author:
  Simon Brown

Constructor Summary
`SearchHit(Blog blog, java.lang.String id, java.lang.String permalink, java.lang.String title, java.lang.String excerpt, java.util.Date date, float score)` Creates a new instance with the specified message.

Method Summary
`Blog` | `getBlog()` Gets the blog for the matching blog entry.
`java.util.Date` | `getDate()` Gets the date of the matching blog entry.
`java.lang.String` | `getExcerpt()` Gets the excerpt for the matching blog entry.
`java.lang.String` | `getId()` Gets the id for the matching blog entry.
`int` | `getNumber()` Gets the number of this result.
`java.lang.String` | `getPermalink()` Gets the permalink for the matching blog entry.
`float` | `getScore()` Gets the score for the matching blog entry.
`java.lang.String` | `getTitle()` Gets the title for the matching blog entry.
`void` | `setNumber(int n)` Sets the number of this result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchHit

    public SearchHit(Blog blog,
                     java.lang.String id,
                     java.lang.String permalink,
                     java.lang.String title,
                     java.lang.String excerpt,
                     java.util.Date date,
                     float score)

  Creates a new instance with the specified message.

Method Detail

### getBlog

    public Blog getBlog()

  Gets the blog for the matching blog entry.

  Returns:
    the owning Blog instance

### getId

    public java.lang.String getId()

  Gets the id for the matching blog entry.

  Returns:
    the id as a String

### getPermalink

    public java.lang.String getPermalink()

  Gets the permalink for the matching blog entry.

  Returns:
    a permalink as a String

### getTitle

    public java.lang.String getTitle()

  Gets the title for the matching blog entry.

  Returns:
    a title as a String

### getExcerpt

    public java.lang.String getExcerpt()

  Gets the excerpt for the matching blog entry.

  Returns:
    a excerpt as a String

### getDate

    public java.util.Date getDate()

  Gets the date of the matching blog entry.

  Returns:
    the date as a Date

### getScore

    public float getScore()

  Gets the score for the matching blog entry.

  Returns:
    a score as a float

### getNumber

    public int getNumber()

  Gets the number of this result.

  Returns:
    the number as an int

### setNumber

    public void setNumber(int n)

  Sets the number of this result.

  Parameters:
    `n` - the number as an int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.